org.custommonkey.xmlunit.examples

## Class XPathRegexAssert

- java.lang.Object
- - org.custommonkey.xmlunit.examples.XPathRegexAssert

    public class XPathRegexAssert
    extends java.lang.Object

Example demonstrating how to use the XPath API of XMLUnit in conjunction with regular expressions (as provided by the java.util.regex package of JDK 1.4+).

### Method Summary

Methods
`static void` `assertXPathMatches(java.lang.String regex, java.lang.String xpath, org.w3c.dom.Document doc)`
`static void` `assertXPathMatches(java.lang.String regex, java.lang.String xpath, java.io.Reader reader)`
`static void` `assertXPathMatches(java.lang.String regex, java.lang.String xpath, java.lang.String xml)`
`static void` `assertXPathMatches(java.lang.String message, java.lang.String regex, java.lang.String xpath, org.w3c.dom.Document doc)`
`static void` `assertXPathMatches(java.lang.String message, java.lang.String regex, java.lang.String xpath, java.io.Reader reader)`
`static void` `assertXPathMatches(java.lang.String message, java.lang.String regex, java.lang.String xpath, java.lang.String xml)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### assertXPathMatches

    public static void assertXPathMatches(java.lang.String message,
                          java.lang.String regex,
                          java.lang.String xpath,
                          org.w3c.dom.Document doc)
                                   throws XpathException

Throws:
  `XpathException`

#### assertXPathMatches

    public static void assertXPathMatches(java.lang.String message,
                          java.lang.String regex,
                          java.lang.String xpath,
                          java.lang.String xml)
                                   throws XpathException,
                                          org.xml.sax.SAXException,
                                          java.io.IOException

Throws:
  `XpathException`
  `org.xml.sax.SAXException`
  `java.io.IOException`

#### assertXPathMatches

    public static void assertXPathMatches(java.lang.String message,
                          java.lang.String regex,
                          java.lang.String xpath,
                          java.io.Reader reader)
                                   throws XpathException,
                                          org.xml.sax.SAXException,
                                          java.io.IOException

Throws:
  `XpathException`
  `org.xml.sax.SAXException`
  `java.io.IOException`

#### assertXPathMatches

    public static void assertXPathMatches(java.lang.String regex,
                          java.lang.String xpath,
                          org.w3c.dom.Document doc)
                                   throws XpathException

Throws:
  `XpathException`

#### assertXPathMatches

    public static void assertXPathMatches(java.lang.String regex,
                          java.lang.String xpath,
                          java.lang.String xml)
                                   throws XpathException,
                                          org.xml.sax.SAXException,
                                          java.io.IOException

Throws:
  `XpathException`
  `org.xml.sax.SAXException`
  `java.io.IOException`

#### assertXPathMatches

    public static void assertXPathMatches(java.lang.String regex,
                          java.lang.String xpath,
                          java.io.Reader reader)
                                   throws XpathException,
                                          org.xml.sax.SAXException,
                                          java.io.IOException

Throws:
  `XpathException`
  `org.xml.sax.SAXException`
  `java.io.IOException`